# Get Transaction State

After the modal is closed, you should fetch the transaction to know the current status. Make a **GET** request to the following endpoint.

{% code overflow="wrap" %}

```url
https://api.localramp.co/v1/transaction/sell-widget/status/:reference
```

{% endcode %}

With the following header

```
x-auth-token: <SECRET_KEY>
```

If the API call is successful, LocalRamp returns the following response:

```javascript
{
    "data": {
        "reference": "ref14",
        "status": "completed",
        "destination_type": "mobile_money",
        "phone_number": "+260123456789",
        "phone_network": "mobile_money_zamtel",
        "account_number": "0123456789",
        "bank_code": "000",
        "account_name": "RAJI JOHNSON",
        "bank_name": "UNITED BANK",
        "from_amount": "0.00017",
        "from_currency": "BTC",
        "crypto_chain": "BSC",
        "to_amount": "142.79",
        "to_currency": "ZMW",
    }
}
```

The possible `status`'s are  <mark style="color:orange;">`pending`</mark> and <mark style="color:green;">`completed`</mark>

**pending** -  This means we are still processing the sell transaction

**completed** - This means that the transaction has been completed


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.localramp.co/crypto-off-ramp/widget-sell/get-transaction-state.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
